#include <iostream>
#include <cstdlib>
#include "dllist.hpp"
#include "../common/delay.hpp"
#include "../common/timer.hpp"

int main()
{
  const unsigned SZ = 10000, DEL = 15;
  std::cout << "Total " << SZ << " members, each count the " << DEL;
  std::cout << " has to leave!\n";

  timer t;
  delay(1000000000);
  std::cout << "testing is in progress ...\n";
  t.start();
  unsigned lucky = find_lucky(SZ, DEL);
  t.stop();
  std::cout << "lucky one: " << lucky << ", " << t << "ms.\n";

  std::system("PAUSE");
  return 0;
}
